@import "../base/variable.scss";
@import "../base/mixins.scss";


.header_top_section{
    .header_wraper{
        background-color: $light_blue;
        .contact{
            ul{
                text-align: right;
                li{
                    padding: 16px 0;
                    padding-right: 37px;
                    display: inline-block;
                    a{
                        color: white;
                        font-size: 14px;
                        i{
                            font-weight: 400;
                            padding-right: 14px;
                        }
                    }
                    &:last-child{
                        padding-right: 0;
                    }
                }
            }
        }
    }
}
.header-main-section{
    position: static;
    z-index: 9999;
    top: 56px;
    left: 0;
    right: 0;
    background-color: white;
    box-shadow: rgba(0, 0, 0, 0.08) 0px 4px 12px;
    .header_menu_wraper{
        @include clearfix();
        .head_navigation{
            @include clearfix();
            padding: 22px 0px;
            .header_area{
                @include clearfix();
                .left_area{
                    float: left;
                    width: 253px;
                    .logo{
                        a{
                            img{
                                width: 100%;
                                object-fit: cover;
                            }
                        }
                    }
                }
                .right_area{
                    float: right;
                    width: calc(100% - 253px);
                    .menu_box{
                        @include clearfix();
                        float: right;
                        .inner_area{
                            ul{
                                li{
                                    display:inline-block;
                                    // &.for_secrh{
                                    //     display: none;
                                    // }
                                    &:hover{
                                        .dropdown-menu{
                                            &.show{
                                                display: block;
                                                @include transition(0.3s ease);
                                            }
                                        }
                                    }
                                    a{
                                        font-weight: 400;
                                        padding-left: 20px;
                                        padding-right: 20px;
                                        padding-top: 16px;
                                        padding-bottom: 10px;
                                        font-size: 16px;
                                        color: $black;
                                        i{
                                            font-size: 17px;
                                            font-weight: 400;
                                        }
                                        &.dropdown-toggle{
                                            &::after{
                                                content: unset;
                                            }
                                        }
                                    }
                                    &.button{
                                        a{
                                            background-color: $light_blue;
                                            padding: 0;
                                            font-weight: 400;
                                            font-size: 14px;
                                            color: $white;
                                            background-color: $light_blue;
                                        }
                                    }
                                    position: relative;
                                    .search_box{
                                        position: absolute;
                                        z-index: 0;
                                        margin-right: 20px;
                                        display: block;
                                        margin-top: -24px;
                                        right: 0px;
                                        @include clearfix();
                                        .form-group{
                                            margin-bottom: 0;
                                            width: 100%;
                                            .form-control{
                                                height:40px;
                                                border-radius: 0;
                                                border: 1px solid transparent;
                                                background-color: $white;
                                                padding-right: 36px;
                                                padding-left: 19px;
                                                width: 20px;
                                                font-size: 16px;
                                                @include transition(0.3s ease);
                                                &.open{
                                                    width: 300px;
                                                    border: 1px solid $light_blue;
                                                    @include transition(0.3s ease);
                                                }
                                            }
                                        }
                                        .icon{
                                            z-index: 1;
                                            position: absolute;
                                            right: 0px;
                                            top: 8px;
                                            a{
                                                i{
                                                    color: $black;
                                                }
                                            }
                                        }
                                    }
                                }
                                .dropdown-menu{
                                    border-radius: 0;
                                    padding: 0;
                                    box-shadow: rgba(17, 17, 26, 0.1) 0px 4px 16px, rgba(17, 17, 26, 0.05) 0px 8px 32px;
                                    border: none;
                                    background: $white;
                                    &.show{
                                        display: none;
                                        @include transition(0.3s ease);
                                    }
                                    .dropdown-item{
                                       background: $white;
                                       border-bottom: 1px solid  rgba($color: $black, $alpha: 0.5);
                                        @include transition(0.3s ease);
                                        padding-left: 20px;
                                        padding-right: 20px;
                                        color: $black;
                                        
                                        font-size: 14px;
                                        &:hover{
                                        background-color: rgba($color: $light_blue, $alpha: 0.9);
                                        color: $white;
                                        border: none;
                                        @include transition(0.3s ease);
                                        }
                                        
                                    }
                                    li{ 
                                        position: relative;
                                        display: block;
                                        &:hover{
                                            background-color: #f1f1f1;
                                            .submenu{ 
                                                display: block; 
                                            }
                                        }
                                        a{
                                            color: $black;
                                            i{
                                                position: absolute;
                                                right: 0;
                                                top: 34%;
                                                padding-right: 10px;
                                                font-size: 22px;
                                            }
                                        }  
                                    }
                                }
                                .nav-item{
                                    .submenu{ 
                                    display: none;
                                    position: absolute;
                                    left:100%; 
                                    top:-7px;
                                    }
                                    .submenu-left{ 
                                        right:100%; 
                                        left:auto;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}


/* Extra Huge large desktops */
@media (min-width: 1920px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1680px) and (max-width: 1919px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1600px) and (max-width: 1679px){
    .header-main-section{
        .header_menu_wraper{
            .head_navigation{
                .menu_box{
                    .left{
                        width: calc(100% - 330px);
                    }
                    .right{
                        width: 330px;
                    }
                }
            }
        }
    }  
}

/* Extra large desktops and mac laptops*/
@media (min-width: 1400px) and (max-width: 1599px){
    .header-main-section{
        .header_menu_wraper{
            .head_navigation{
                .menu_box{
                    .left{
                        width: calc(100% - 169px);
                    }
                    .right{
                        width: 169px;
                    }
                }
            }
        }
    }  
}

@media (min-width: 1200px) and (max-width: 1399px) {
    .header-main-section{
        .header_menu_wraper{
            .head_navigation{
                .menu_box{
                    .left{
                        width: calc(100% - 135px);
                    }
                    .right{
                        width: 135px;
                        .search_box{
                            .form-group{
                                .form-control{
                                    padding-left: 20px;
                                    padding-right: 41px;
                                }
                            }
                        }
                    }
                }
            }
        }
    }  
}
/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
    .header-main-section{
        position: static;
        z-index: 9999;
        .header_menu_wraper{
            .head_navigation{
                display: none !important;
                align-items: center;
                padding: 20px 0;
            }
            .responsive_menu{
                padding: 15px 0;
                position: relative;
                z-index: 3;
                @include clearfix();
                .menu_boxes{
                    @include clearfix();
                    .logo{
                        float: left;
                        .img_logo{
                            width: 261px;
                            img{
                                width: 100%;
                                height: 100%;
                                object-fit: cover;
                            }
                        }
                    }
                    .right{
                        float: right;
                        padding-top: 0px;
                        display: flex;
                        .search_box{
                            position: relative;
                            z-index: 0;
                            margin-right: 20px;
                            display: block;
                            margin-top: 12px;
                            @include clearfix();
                            .form-group{
                                margin-bottom: 0;
                                .form-control{
                                    height:40px;
                                    border-radius: 0;
                                    border: 1px solid $light_blue;
                                    background-color: $white;
                                    padding-right: 50px;
                                }
                            }
                            .icon{
                                z-index: 1;
                                position: absolute;
                                right: 20px;
                                top: 9px;
                                a{
                                    i{
                                        color: $grey2;
                                    }
                                }
                            }
                        }
                        .open_close{
                            float: right;
                            padding-top: 20px;
                            a{
                                display: inline-block;
                                i{
                                    font-size: 26px;
                                    color: $black;
                                }
                            }
                        }
                    }
                    .loggedin_user{
                        float: left;
                        a{
                            height: 35px;
                            width: 35px;
                            border-radius: 0%;
                            overflow: hidden;
                            display: flex;
                            img{
                                height: 35px;
                                width: 35px;
                                object-fit: cover;
                            }
                        }
                    }
                }
                .open_menu{
                   position: fixed;
                    top: 0;
                    left: 0;
                    right: 0;
                    height: 100%;
                    width: 100%;
                    background-color: $white;
                    height: 1px;
                    opacity: 0;
                    z-index: -1;
                    @include transition(all .3s ease);
                    .top_area{
                        @include clearfix();
                        padding: 30px;
                        padding-top: 10px;
                        padding-bottom: 10px;
                        background-color: $white;
                        .logo_box{
                            float: left;
                            a{
                                display: inline-block;
                                img{
                                    width: 254px;
                                }
                            }
                        }
                        .cross_menu{
                            float: right;
                            padding-top: 20px;
                            a{
                                display: inline-block;
                                i{
                                    font-size: 25px;
                                    color: $black;
                                }
                            }
                        }
                    }
                    
                    &.show_open{
                        opacity: 1;
                        z-index: 1;
                        height: 100%;
                        .inner_res_menu {
                            height: calc(100% - 50px);
                            @include transition(all .5s ease);
                        }
                    }
                    .inner_res_menu{
                        height: 0;
                        overflow-x: hidden;
                        margin-top: 0px;
                        padding-left: 30px;
                        padding-bottom: 30px;
                        background-color: $black;
                        @include transition(all .5s ease);
                        ul{
                            li{
                                a{
                                    display: block;
                                    font-size: 16px;
                                    color: $white;
                                    font-weight: 500;
                                    padding: 12px 0;
                                    &:hover{
                                        color: $white;
                                    }
                                   
                                    i{
                                        margin-right: 10px;
                                    }
                                }
                                .dropdown-menu{
                                    position: relative !important;
                                    inset: unset !important;
                                    transform: unset !important;
                                    width: 400px;
                                    padding: 0;
                                    border-radius: 0;
                                    background-color: transparent;
                                    border: unset;
                                    .dropdown-item{
                                        @include transition(0.3s ease);
                                        color: $white;
                                        border: none;
                                        background-color: transparent;
                                        &.dropdown_icon{
                                            &::after{
                                                display: inline-block;
                                                margin-left: 0.255em;
                                                vertical-align: 0.255em;
                                                content: "";
                                                border-top: 0.3em solid;
                                                border-right: 0.3em solid transparent;
                                                border-bottom: 0;
                                                border-left: 0.3em solid transparent;
                                            }
                                        }
                                        &:hover{
                                        background-color: rgba($color: $light_blue, $alpha: 0.9);
                                        color: $white;
                                        border: none;
                                        @include transition(0.3s ease);
                                        }
                                    }
                                    li{
                                        &:hover{
                                            .submenu{ 
                                                display: block; 
                                            }
                                        }
                                        a{
                                            color: $black;
                                            padding: 10px 12px;
                                        }
                                        .submenu{ 
                                            border: none;
                                            &.dropdown-menu{
                                                border: none;
                                                width: auto;
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }

}

/* Landscape tablets and ipad */
@media (min-width: 768px) and (max-width: 991px) {
    .header-main-section{
        position: static;
        z-index: 9999;
        .header_menu_wraper{
            .head_navigation{
                display: none !important;
                align-items: center;
                padding: 20px 0;
            }
            .responsive_menu{
                padding: 15px 0;
                position: relative;
                z-index: 3;
                @include clearfix();
                .menu_boxes{
                    @include clearfix();
                    .logo{
                        float: left;
                        .img_logo{
                            width: 261px;
                            img{
                                width: 100%;
                                height: 100%;
                                object-fit: cover;
                            }
                        }
                    }
                    .right{
                        float: right;
                        padding-top: 0px;
                        display: flex;
                        .search_box{
                            position: relative;
                            z-index: 0;
                            margin-right: 20px;
                            display: block;
                            margin-top: 12px;
                            @include clearfix();
                            .form-group{
                                margin-bottom: 0;
                                .form-control{
                                    height:40px;
                                    border-radius: 0;
                                    border: 1px solid $light_blue;
                                    background-color: $white;
                                    padding-right: 50px;
                                }
                            }
                            .icon{
                                z-index: 1;
                                position: absolute;
                                right: 20px;
                                top: 9px;
                                a{
                                    i{
                                        color: $grey2;
                                    }
                                }
                            }
                        }
                        .open_close{
                            float: right;
                            padding-top: 20px;
                            a{
                                display: inline-block;
                                i{
                                    font-size: 26px;
                                    color: $black;
                                }
                            }
                        }
                    }
                    .loggedin_user{
                        float: left;
                        a{
                            height: 35px;
                            width: 35px;
                            border-radius: 0%;
                            overflow: hidden;
                            display: flex;
                            img{
                                height: 35px;
                                width: 35px;
                                object-fit: cover;
                            }
                        }
                    }
                }
                .open_menu{
                   position: fixed;
                    top: 0;
                    left: 0;
                    right: 0;
                    height: 100%;
                    width: 100%;
                    background-color: $white;
                    height: 1px;
                    opacity: 0;
                    z-index: -1;
                    @include transition(all .3s ease);
                    .top_area{
                        @include clearfix();
                        padding: 30px;
                        padding-top: 10px;
                        padding-bottom: 10px;
                        background-color: $white;
                        .logo_box{
                            float: left;
                            a{
                                display: inline-block;
                                img{
                                    width: 254px;
                                }
                            }
                        }
                        .cross_menu{
                            float: right;
                            padding-top: 20px;
                            a{
                                display: inline-block;
                                i{
                                    font-size: 25px;
                                    color: $black;
                                }
                            }
                        }
                    }
                    
                    &.show_open{
                        opacity: 1;
                        z-index: 1;
                        height: 100%;
                        .inner_res_menu {
                            height: calc(100% - 50px);
                            @include transition(all .5s ease);
                        }
                    }
                    .inner_res_menu{
                        height: 0;
                        overflow-x: hidden;
                        margin-top: 0px;
                        padding-left: 30px;
                        padding-bottom: 30px;
                        background-color: $black;
                        @include transition(all .5s ease);
                        ul{
                            li{
                                a{
                                    display: block;
                                    font-size: 16px;
                                    color: $white;
                                    font-weight: 500;
                                    padding: 12px 0;
                                    &:hover{
                                        color: $white;
                                    }
                                   
                                    i{
                                        margin-right: 10px;
                                    }
                                }
                                .dropdown-menu{
                                    position: relative !important;
                                    inset: unset !important;
                                    transform: unset !important;
                                    width: 400px;
                                    padding: 0px;
                                    border-radius: 0;
                                    background-color: transparent;
                                    border: unset;
                                    .dropdown-item{
                                        @include transition(0.3s ease);
                                        color: $white;
                                        background-color: transparent;
                                        border: none;
                                        &.dropdown_icon{
                                            &::after{
                                                display: inline-block;
                                                margin-left: 0.255em;
                                                vertical-align: 0.255em;
                                                content: "";
                                                border-top: 0.3em solid;
                                                border-right: 0.3em solid transparent;
                                                border-bottom: 0;
                                                border-left: 0.3em solid transparent;
                                            }
                                        }
                                        &:hover{
                                        background-color: rgba($color: $light_blue, $alpha: 0.9);
                                        color: $white;
                                        border: none;
                                        @include transition(0.3s ease);
                                        }
                                    }
                                    li{
                                        &:hover{
                                            .submenu{ 
                                                display: block; 
                                            }
                                        }
                                        a{
                                            color: $black;
                                            padding: 8px 10px;
                                        }
                                        .submenu{ 
                                            border: none;
                                            &.dropdown-menu{
                                                border: none;
                                                width: auto;
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}
/* Landscape phones and portrait tablets */
@media (min-width: 576px) and (max-width: 767px) {
    .header-main-section{
        position: static;
        z-index: 9999;
        .header_menu_wraper{
            .head_navigation{
                display: none !important;
                align-items: center;
                padding: 20px 0;
            }
            .responsive_menu{
                display: none;
                padding: 15px 0;
                position: relative;
                z-index: 3;
                @include clearfix();
                .menu_boxes{
                    @include clearfix();
                    .logo{
                        float: left;
                        .img_logo{
                            width: 257px;
                            img{
                                width: 100%;
                                height: 100%;
                                object-fit: cover;
                            }
                        }
                    }
                    .right{
                        float: right;
                        padding-top: 20px;
                        display: flex;
                        .search_box{
                            position: relative;
                            z-index: 0;
                            margin-right: 20px;
                            display: block;
                            margin-top: -8px;
                            @include clearfix();
                            .form-group{
                                margin-bottom: 0;
                                width: 250px;
                                .form-control{
                                    height:40px;
                                    border-radius: 0;
                                    border: 1px solid $light_blue;
                                    background-color: $white;
                                    padding-right: 50px;
                                    padding-left: 15px;
                                }
                            }
                            .icon{
                                z-index: 1;
                                position: absolute;
                                right: 20px;
                                top: 9px;
                                a{
                                    i{
                                        color: $grey2;
                                    }
                                }
                            }
                        }
                        .open_close{
                            float: left;
                            a{
                                display: inline-block;
                                i{
                                    font-size: 26px;
                                    color: $black;
                                }
                            }
                        }
                    }
                    .loggedin_user{
                        float: left;
                        a{
                            height: 35px;
                            width: 35px;
                            border-radius: 0%;
                            overflow: hidden;
                            display: flex;
                            img{
                                height: 35px;
                                width: 35px;
                                object-fit: cover;
                            }
                        }
                    }
                }
                .open_menu{
                    position: fixed;
                    top: 0;
                    left: 0;
                    right: 0;
                    height: 100%;
                    width: 100%;
                    background-color: $white;
                    height: 1px;
                    opacity: 0;
                    z-index: -1;
                    @include transition(all .3s ease);
                    .top_area{
                        @include clearfix();
                        padding: 30px;
                        padding-top: 10px;
                        padding-bottom: 10px;
                        background-color: $white;
                        .logo_box{
                            float: left;
                            a{
                                display: inline-block;
                                img{
                                    width: 257px;
                                }
                            }
                        }
                        .cross_menu{
                            float: right;
                            padding-top: 20px;
                            a{
                                display: inline-block;
                                i{
                                    font-size: 25px;
                                    color: $black;
                                }
                            }
                        }
                    }
                    
                    &.show_open{
                        opacity: 1;
                        z-index: 1;
                        height: 100%;
                        .inner_res_menu {
                            height: calc(100% - 50px);
                            @include transition(all .5s ease);
                        }
                    }
                    .inner_res_menu{
                        height: 0;
                        overflow-x: hidden;
                        margin-top: 15px;
                        padding-left: 30px;
                        padding-bottom: 50px;
                        background-color: $black;
                        @include transition(all .5s ease);
                        ul{
                            li{
                                a{
                                    display: block;
                                    font-size: 16px;
                                    color: $white;
                                    font-weight: 500;
                                    padding: 12px 0;
                                    &:hover{
                                        color: $white;
                                    }
                                   
                                    i{
                                        margin-right: 10px;
                                    }
                                }
                                .dropdown-menu{
                                    position: relative !important;
                                    inset: unset !important;
                                    transform: unset !important;
                                    width: 400px;
                                    padding: 0px;
                                    border-radius: 0;
                                    background-color: transparent;
                                    border: unset;
                                    .dropdown-item{
                                        @include transition(0.3s ease);
                                        color: $white;
                                        background-color: transparent;
                                        border: none;
                                        &.dropdown_icon{
                                            &::after{
                                                display: inline-block;
                                                margin-left: 0.255em;
                                                vertical-align: 0.255em;
                                                content: "";
                                                border-top: 0.3em solid;
                                                border-right: 0.3em solid transparent;
                                                border-bottom: 0;
                                                border-left: 0.3em solid transparent;
                                            }
                                        }
                                        &:hover{
                                        background-color: rgba($color: $light_blue, $alpha: 0.9);
                                        color: $white;
                                        border: none;
                                        @include transition(0.3s ease);
                                        }
                                    }
                                    li{
                                        &:hover{
                                            .submenu{ 
                                                display: block; 
                                            }
                                        }
                                        a{
                                            color: $black;
                                            padding: 10px;
                                        }
                                        .submenu{ 
                                            border: none;
                                            &.dropdown-menu{
                                                border: none;
                                                width: auto;
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}
/* Landscape phones and portrait tablets */
@media (min-width: 361px) and (max-width: 575px) {
    .header_top_section{
        .header_wraper{
            .contact{
                ul{
                    li{
                        padding-right: 10px;
                        a{
                            font-size: 12px;
                            i{
                                padding-right: 6px;
                            }
                        }
                    }
                }
            }
        }
    }
    .header-main-section{
        position: static;
        z-index: 9999;
        .header_menu_wraper{
            .head_navigation{
                display: none !important;
                align-items: center;
                padding: 20px 0;
            }
            .responsive_menu{
                display: none;
                padding: 15px 0;
                position: relative;
                z-index: 3;
                @include clearfix();
                position: relative;
                .menu_boxes{
                    @include clearfix();
                    .logo{
                        float: left;
                        .img_logo{
                            width: 180px;
                            img{
                                width: 100%;
                                height: 100%;
                                object-fit: cover;
                            }
                        }
                    }
                    .right{
                        float: right;
                        padding-top: 10px;
                        .search_box{
                            position: absolute;
                            z-index: 0;
                            margin-right: 20px;
                            display: block;
                            margin-top: -4px;
                            right: 14px;
                            @include clearfix();
                            .form-group{
                                margin-bottom: 0;
                                width: 100%;
                                .form-control{
                                    height:33px;
                                    border-radius: 0;
                                    border: 1px solid $light_blue;
                                    background-color: $white;
                                    padding-right: 36px;
                                    padding-left: 19px;
                                    width: 20px;
                                    @include transition(0.3s ease);
                                    &.open{
                                        width: 300px;
                                        @include transition(0.3s ease);
                                    }
                                }
                            }
                            .icon{
                                z-index: 1;
                                position: absolute;
                                right: 20px;
                                top: 6px;
                                a{
                                    i{
                                        color: $grey2;
                                    }
                                }
                            }
                        }
                        .open_close{
                            float: left;
                            a{
                                display: inline-block;
                                i{
                                    font-size: 26px;
                                    color: $black;
                                }
                            }
                        }
                    }
                    .loggedin_user{
                        float: left;
                        a{
                            height: 35px;
                            width: 35px;
                            border-radius: 0%;
                            overflow: hidden;
                            display: flex;
                            img{
                                height: 35px;
                                width: 35px;
                                object-fit: cover;
                            }
                        }
                    }
                }
                .open_menu{
                    position: fixed;
                    top: 0;
                    left: 0;
                    right: 0;
                    height: 100%;
                    width: 100%;
                    background-color: $white;
                    height: 1px;
                    opacity: 0;
                    z-index: -1;
                    @include transition(all .3s ease);
                    .top_area{
                        @include clearfix();
                        padding: 30px;
                        padding-top: 10px;
                        padding-bottom: 10px;
                        background-color: $white;
                        .logo_box{
                            float: left;
                            a{
                                display: inline-block;
                                img{
                                    width: 180px;
                                }
                            }
                        }
                        .cross_menu{
                            float: right;
                            padding-top: 10px;
                            a{
                                display: inline-block;
                                i{
                                    font-size: 25px;
                                    color: $black;
                                }
                            }
                        }
                    }
                    &.show_open{
                        opacity: 1;
                        z-index: 1;
                        height: 100%;
                        .inner_res_menu {
                            height: calc(100% - 50px);
                            @include transition(all .5s ease);
                        }
                    }
                    .inner_res_menu{
                        height: 0;
                        overflow-x: hidden;
                        margin-top: 15px;
                        padding-left: 30px;
                        padding-bottom: 40px;
                        background-color: $black;
                        @include transition(all .5s ease);
                        ul{
                            li{
                                a{
                                    display: block;
                                    font-size: 16px;
                                    color: $white;
                                    font-weight: 400;
                                    padding: 12px 0;
                                    &:hover{
                                        color: $white;
                                    }
                                   
                                    i{
                                        margin-right: 10px;
                                    }
                                }
                                .dropdown-menu{
                                    position: relative !important;
                                    inset: unset !important;
                                    transform: unset !important;
                                    width: 330px;
                                    padding: 0px;
                                    border-radius: 0;
                                    word-break: break-all;
                                    background-color: transparent;
                                    border: unset;
                                    .dropdown-item{
                                        @include transition(0.3s ease);
                                        color: $white;
                                        background-color: transparent;
                                        border: none;
                                        &.dropdown_icon{
                                            &::after{
                                                display: inline-block;
                                                margin-left: 0.255em;
                                                vertical-align: 0.255em;
                                                content: "";
                                                border-top: 0.3em solid;
                                                border-right: 0.3em solid transparent;
                                                border-bottom: 0;
                                                border-left: 0.3em solid transparent;
                                            }
                                        }
                                        &:hover{
                                        background-color: rgba($color: $light_blue, $alpha: 0.9);
                                        color: $white;
                                        border: none;
                                        @include transition(0.3s ease);
                                        }
                                    }
                                    li{
                                        &:hover{
                                            .submenu{ 
                                                display: block; 
                                            }
                                        }
                                        a{
                                            color: $black;
                                            padding: 10px;
                                        }
                                        .dropdown-item{
                                            white-space: unset;
                                        }
                                        .submenu{ 
                                            border: none;
                                            &.dropdown-menu{
                                                border: none;
                                                width: auto;
                                            }
                                            a{
                                                font-size: 14px;
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 360px) {
    .header_top_section{
        
        .header_wraper{
            .contact{
                ul{
                    li{
                        padding-right: 10px;
                        a{
                            font-size: 12px;
                            i{
                                padding-right: 6px;
                            }
                        }
                    }
                }
            }
        }
    }
	.header-main-section{
        position: static;
        z-index: 9999;
        .header_menu_wraper{
            .head_navigation{
                display: none !important;
                align-items: center;
                padding: 20px 0;
            }
            .responsive_menu{
                display: none;
                padding: 15px 0;
                position: relative;
                z-index: 3;
                @include clearfix();
                .menu_boxes{
                    @include clearfix();
                    .logo{
                        float: left;
                        .img_logo{
                            width: 180px;
                            img{
                                width: 100%;
                                height: 100%;
                                object-fit: cover;
                            }
                        }
                    }
                    .right{
                        float: right;
                        padding-top: 10px;
                        .search_box{
                            position: absolute;
                            z-index: 0;
                            margin-right: 20px;
                            display: block;
                            margin-top: -4px;
                            right: 23px;
                            @include clearfix();
                            .form-group{
                                margin-bottom: 0;
                                width: 100%;
                                .form-control{
                                    height:33px;
                                    border-radius: 0;
                                    border: 1px solid $light_blue;
                                    background-color: $white;
                                    padding-right: 36px;
                                    padding-left: 19px;
                                    width: 20px;
                                    @include transition(0.3s ease);
                                    &.open{
                                        width: 200px;
                                        @include transition(0.3s ease);
                                    }
                                }
                            }
                            .icon{
                                z-index: 1;
                                position: absolute;
                                right: 20px;
                                top: 6px;
                                a{
                                    i{
                                        color: $grey2;
                                    }
                                }
                            }
                        }
                        .open_close{
                            float: left;
                            a{
                                display: inline-block;
                                i{
                                    font-size: 26px;
                                    color: $black;
                                }
                            }
                        }
                    }
                    .loggedin_user{
                        float: left;
                        a{
                            height: 35px;
                            width: 35px;
                            border-radius: 0%;
                            overflow: hidden;
                            display: flex;
                            img{
                                height: 35px;
                                width: 35px;
                                object-fit: cover;
                            }
                        }
                    }
                }
                .open_menu{
                    position: fixed;
                    top: 0;
                    left: 0;
                    right: 0;
                    height: 100%;
                    width: 100%;
                    background-color: $white;
                    height: 1px;
                    opacity: 0;
                    z-index: -1;
                    @include transition(all .3s ease);
                    .top_area{
                        @include clearfix();
                        padding: 15px;
                        padding-top: 10px;
                        padding-bottom: 10px;
                        background-color: $white;
                        .logo_box{
                            float: left;
                            a{
                                display: inline-block;
                                img{
                                    width: 180px;
                                }
                            }
                        }
                        .cross_menu{
                            float: right;
                            padding-top: 10px;
                            a{
                                display: inline-block;
                                i{
                                    font-size: 25px;
                                    color: $black;
                                }
                            }
                        }
                    }
                    &.show_open{
                        opacity: 1;
                        z-index: 1;
                        height: 100%;
                        .inner_res_menu {
                            height: calc(100% - 50px);
                            @include transition(all .5s ease);
                        }
                    }
                    .inner_res_menu{
                        height: 0;
                        overflow-x: hidden;
                        margin-top: 15px;
                        padding-left: 16px;
                        padding-bottom: 40px;
                        background-color: $black;
                        @include transition(all .5s ease);
                        ul{
                            li{
                                a{
                                    display: block;
                                    font-size: 16px;
                                    color: $white;
                                    font-weight: 400;
                                    padding: 12px 0;
                                    &:hover{
                                        color: $white;
                                    }
                                    i{
                                        margin-right: 10px;
                                    }
                                }
                                .dropdown-menu{
                                    position: relative !important;
                                    inset: unset !important;
                                    transform: unset !important;
                                    width: 270px;
                                    padding: 0px;
                                    border-radius: 0;
                                    word-break: break-all;
                                    background-color: transparent;
                                    border: unset;
                                    .dropdown-item{
                                        @include transition(0.3s ease);
                                        color: $white;
                                        background-color: transparent;
                                        border: none;
                                        &.dropdown_icon{
                                            &::after{
                                                display: inline-block;
                                                margin-left: 0.255em;
                                                vertical-align: 0.255em;
                                                content: "";
                                                border-top: 0.3em solid;
                                                border-right: 0.3em solid transparent;
                                                border-bottom: 0;
                                                border-left: 0.3em solid transparent;
                                            }
                                        }
                                        &:hover{
                                        background-color: rgba($color: $light_blue, $alpha: 0.9);
                                        color: $white;
                                        border: none;
                                        @include transition(0.3s ease);
                                        }
                                    }
                                    li{
                                        word-break: break-all;
                                        &:hover{
                                            .submenu{ 
                                                display: block; 
                                            }
                                        }
                                        a{
                                            color: $black;
                                            padding: 10px;
                                            word-break: break-all;
                                            font-size: 13px;
                                        }
                                        .dropdown-item{
                                            white-space: unset;
                                        }
                                        .submenu{ 
                                            border: none;
                                            &.dropdown-menu{
                                                border: none;
                                                width: auto;
                                            }
                                            a{
                                                font-size: 12px;
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 320px) {
    .header_top_section{
        position: relative;
        z-index: 9999;
        .header_wraper{
            .contact{
                ul{
                    li{
                        padding-right: 6px;
                        a{
                            font-size: 11px;
                            i{
                                padding-right: 4px;
                            }
                        }
                    }
                }
            }
        }
    }
}